#pragma once
#include <vector>
#include "Symbol.h"

namespace et{
	class SymbolController
	{
		std::vector<Symbol*> m_symbols;
	protected:
		virtual void move(Symbol* pSymbol) = 0;
	public:
		SymbolController();
		virtual ~SymbolController(void) = 0;
		void update();
		void add(Symbol* pSymbol);
		int getSize();
		Symbol* get(int index);
	};


}